package de.unibi.airobots.btl.data;

import de.unibi.airobots.btl.common.MicroTimestamp;

/**
 * Interface for data types that have an associated read time.
 * 
 * @author jwienke
 */
public interface Ticked {

	MicroTimestamp getReadTime();

	long getReadTimeSeconds();

	long getReadTimeMicroSeconds();

	void setReadTime(MicroTimestamp readTime);

}
