package de.unibi.airobots.btl.data;

import static org.junit.Assert.*;
import nu.xom.Builder;
import nu.xom.Document;

import org.junit.Test;

import de.unibi.airobots.btl.TestUtils;

/**
 * Test case for {@link FaceIdentificationList}.
 * 
 * @author jwienke
 */
public class FaceIdentificationListTest {

	@Test
	public void fileCompatibility() throws Exception {

		Builder parser = new Builder();
		Document doc = parser.build(TestUtils
				.makeTestFileName("FaceIdentificationList.xml"));

		FaceIdentificationList parsed = new FaceIdentificationList();
		FaceIdentificationList.fromElement(doc.getRootElement(), parsed);
		assertEquals(doc.getRootElement().getLocalName(),
				FaceIdentificationList.getBaseTag());

		assertEquals(4, parsed.size());
	}

}
