/*
 * To change this template, choose Tools | Templates
 * and open the template in the editor.
 */

package de.unibi.airobots.btl.data;

import static org.junit.Assert.*;
import de.unibi.airobots.btl.common.Timestamp;
import nu.xom.Document;
import nu.xom.Element;
import org.apache.log4j.Logger;
import org.junit.Test;


/**
 *
 * @author fsiepman
 */
public class SRPlaceDataTest {

    private Logger logger = Logger.getLogger(getClass());

    @Test
	public void selfCompatibility() throws Exception {

        SRPlaceData orgData = new SRPlaceData("test", 0.4, new Timestamp());

        Document doc = new Document(new Element(orgData.getBaseTag()));
        orgData.fillInto(doc.getRootElement());
        System.out.println("Original data: " + orgData.toString());

        SRPlaceData parsed = new SRPlaceData();
        SRPlaceData.fromElement(doc.getRootElement(), parsed);
        System.out.println("Parsed data: " + parsed.toString());


        assertEquals(orgData.getSrPlaceLable(), parsed.getSrPlaceLable());
        assertEquals(orgData.getSrPlaceConfidence(), parsed.getSrPlaceConfidence(), 0);
       
    }


}
